/****   request.js   ****/
import axios from 'axios';

const service = axios.create({
    baseURL: process.env.BASE_API,
    timeout: 3600 * 1000,
    withCredentials: false, 
    validateStatus: function(status){
        return status >= 200;
    },
    maxRedirects : 0,
    responseType : 'text',
    onUploadProgress: function (e) {
    },
});

export default {
    hw_upload (url, params, config) {
        return service.put(url, params, config)
    }
}

// export default (url, params, config) => {
//     return service.put(url, params, config);
// }
